Description: Fallback to the "generic" architecture if cpu detection fails
 Should fix FTBFS on m68k and riscv.
Author: James Cowgill <jcowgill@debian.org>
Bug: https://trac.mplayerhq.hu/ticket/2344
Bug-Debian: https://bugs.debian.org/728772
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/configure
+++ b/configure
@@ -1856,7 +1856,7 @@
       nios2) host_arch=nios2 ;;
       vax) host_arch=vax ;;
       xtensa*) host_arch=xtensa ;;
-      *) host_arch=UNKNOWN ;;
+      *) host_arch=generic ;;
   esac
   }
   set_host_arch "$(uname -m 2>&1)"
